/* @import url("https://fonts.googleapis.com/css2?family=Montserrat&display=swap"); */

@font-face {
  font-family: "Montserrat", sans-serif;
  src: url("/src/fonts/Montserrat/Montserrat-VariableFont_wght.ttf") format("ttf");
}

:root {
  /* Typography */
  --fs-header-1: clamp(3.5rem, 1.937vh + 2.692rem, 4rem);
  --fs-header-2: clamp(2.5rem, 3.874vw + 0.885rem, 3.5rem);
  --fs-header-3: clamp(2rem, 1.937vh + 1.192rem, 2.5rem);
  --fs-paragraph: clamp(1.125rem, 0.884vw + 0.918rem, 1.625rem);
  --fs-small-text: clamp(0.875rem, 0.884vw + 0.668rem, 1.375rem);
  --fs-links: clamp(1rem, 2.906vh + -0.211rem, 1.75rem);

  /* Color */
  --red: #b22222;
  --orange: #fa2a0f;
}

/* Box sizing rules */
*,
*::before,
*::after {
  box-sizing: border-box;
}

/* Remove default margin */
body,
h1,
h2,
h3,
h4,
p,
figure,
blockquote,
dl,
dd {
  margin: 0;
}

/* Remove list styles on ul, ol elements with a list role, which suggests default styling will be removed */
ul[role="list"],
ol[role="list"] {
  list-style: none;
}

/* Set core root defaults */
html {
  font-family: "Montserrat", sans-serif;
  scroll-behavior: smooth;
}
html:focus-within {
  scroll-behavior: smooth;
}

/* Set core body defaults */
body {
  flex-direction: column;
  min-height: 100vh;
  text-rendering: optimizeSpeed;
  line-height: 1.5;
}

/* A elements that don't have a class get default styles */
a:not([class]) {
  text-decoration-skip-ink: auto;
}

a:any-link {
  display: block;

  color: black;
  text-decoration: none;
  transition: 1000ms ease;
}

a:any-link:hover {
  text-decoration: underline black;
}

/* Make images easier to work with */
img,
picture {
  max-width: 100%;
  display: block;
}

/* Inherit fonts for inputs and buttons */
input,
button,
textarea,
select {
  font: inherit;
}

/* Remove all animations, transitions and smooth scroll for people that prefer not to see them */
@media (prefers-reduced-motion: reduce) {
  html:focus-within {
    scroll-behavior: auto;
  }

  *,
  *::before,
  *::after {
    animation-duration: 0.01ms !important;
    animation-iteration-count: 1 !important;
    transition-duration: 0.01ms !important;
    scroll-behavior: auto !important;
  }
}

/* font classes */
.fs-header-1 {
  font-size: var(--fs-header-1);
}
.fs-header-2 {
  font-size: var(--fs-header-2);
}
.fs-header-3 {
  font-size: var(--fs-header-3);
}
.fs-paragraph {
  font-size: var(--fs-paragraph);
}

.center {
  text-align: center;
}

.bold {
  font-weight: bold;
}

.text-red {
  color: var(--red);
}

.text-fire {
  color: firebrick;
}

.text-orange {
  color: var(--orange);
}
/* utility classes */
.container {
  max-width: min(80rem, 90%);
}
.flex {
  display: flex;
}

.hidden {
  display: none;
}

.img--right {
  object-position: right;
}

.img--left {
  object-position: left;
}
/* Components */
button {
  padding: 0;
  margin: 0;
}
.header__button {
  padding: 0.5rem 1.5rem;
  letter-spacing: 0.1em;

  width: fit-content;

  background-color: white;
  border-radius: 1rem;
}

.mobile-nav-toggle .line {
  transition: y 300ms ease-in 300ms, rotate 300ms ease-in, opacity 0ms 300ms;
  transform-origin: center;
}

.mobile-nav-toggle[aria-expanded="true"] .line {
  transition: y 300ms ease-in, transform 300ms ease-in 300ms, opacity 0ms 300ms;
}

.mobile-nav-toggle[aria-expanded="true"] :is(.top, .bottom) {
  y: 45;
}

.mobile-nav-toggle[aria-expanded="true"] .top {
  transform: rotate(45deg);
}

.mobile-nav-toggle[aria-expanded="true"] .middle {
  opacity: 0;
}

.mobile-nav-toggle[aria-expanded="true"] .bottom {
  transform: rotate(-45deg);
}

.header__button:hover,
.header__button:active {
  background-color: darkgrey;
  color: white;
  transition-duration: 300ms;
}
/* General Styles */
.header {
  display: flex;
  position: relative;
  min-height: 100px;
  max-width: 100%;
  top: 0;
  z-index: 8888;
  justify-content: space-between;
  align-items: center;

  background: white;
}

.logo {
  width: 125px;
  padding: 10px;
}

.header__nav {
  display: flex;
  flex-direction: column;

  margin: 0;
  padding: 0;

  background: white;
  list-style: none;
  text-align: center;
  text-decoration: none;
}

.header__nav a {
  color: black;
}

.nav__span {
  display: block;
}

.header__nav .nav__cta:hover {
  text-decoration: none;
}

.header__nav .nav__cta .nav__span {
  color: firebrick;
  text-shadow: #333;
}

.header__nav .nav__cta:hover .nav__span {
  text-decoration: underline;
}

.header__nav .dropdown {
  position: relative;
  display: inline-block;
}

.dropdown::after {
  content: " ";
  position: absolute;
  top: 0;
  left: 85%;
  width: auto;
  height: 100%;
  aspect-ratio: 1 / 1;

  background-image: url("/src/arrow.svg");
  background-size: contain;
  transition: 0.3s ease;
}

.header__nav .dropdown-content {
  position: relative;
  max-height: 0px;
  padding: 0;

  background-color: white;
  list-style: none;
  overflow: hidden;
  transition: max-height 0.3s ease;
}

.dropdown:hover .dropdown-content {
  max-height: 150px;
}

.dropdown:hover::after {
  transform: rotateZ(180deg);
}

@media (max-width: 1023px) {
  .header__nav {
    gap: var(--nav_gap, 1rem);

    position: fixed;
    z-index: 1000;
    inset: 0 0 0 50%;
    place-content: center;

    font-size: clamp(1.25rem, 2vh, 1.75rem);
    font-weight: bolder;

    color: black;
    transform: translateX(100%);
    transition: transform 350ms ease-in;
  }

  .header__nav[data-visible="true"] {
    transform: translateX(0%);
    transition: transform 350ms ease-out;
  }

  .header__nav li {
    padding-left: 1rem;
    border-bottom: 2px solid white;
    text-align: left;
  }

  /*   .header__nav li {
    margin: auto;
  } */

  .mobile-nav-toggle {
    display: block;
    position: absolute;
    z-index: 9999;
    height: fit-content;

    border: 3px solid white;
    right: 2rem;
    aspect-ratio: 1;

    background-color: #333;
    border-radius: 5px;
    --button-color: white;
  }

  .hamburger {
    display: block;
  }
}

@media (min-width: 1024px) {
  .header__nav {
    gap: var(--nav_gap, 2rem);
    flex-direction: row;
    place-items: center;
    padding-right: 1.5rem;
  }

  .header__nav a,
  .dropdown {
    font-size: var(--fs-links);
    font-weight: 700;
  }

  .header__nav .dropdown-content {
    position: absolute;
    width: max-content;
    left: 50%;

    transform: translateX(-50%);
    border-radius: 2px;
  }

  .dropdown::after {
    content: " ";
    position: absolute;
    top: 0;
    left: 95%;
    width: auto;
    height: 100%;
    aspect-ratio: 1 / 1;

    background-image: url("/src/arrow.svg");
    background-size: contain;
    transition: 0.3s ease;
  }

  .dropdown:hover .dropdown-content {
    border: firebrick 1px solid;
  }

  .dropdown:hover .dropdown-content li:hover {
    background-color: whitesmoke;
  }

  .dropdown-content li:first-child {
    padding: 0.5rem 1rem 0.25rem;
  }

  .dropdown-content li:nth-child(2) {
    padding: 0.25rem 1rem;
  }

  .dropdown-content li:last-child {
    padding: 0.25rem 1rem 0.5rem;
  }

  .header__nav .nav__cta {
    font-size: 1rem;
  }

  .header__nav .nav__cta .nav__span {
    font-size: var(--fs-links);
  }

  .mobile-nav-toggle {
    display: none;
  }

  .header__button {
    display: none;
  }
}

.footer {
  display: block;
  width: 100%;
  padding: 2rem 0;
  margin-top: auto;

  align-items: center;

  background-color: white;
  color: #333;
  text-align: center;
}

.footer__right-section {
  margin-inline: auto;
}

.footer img {
  width: 200px;
}

.footer__right-section a {
  width: fit-content;
  margin: auto;
}

.footer__right-section p {
  padding: 1rem 0;
  font-size: var(--fs-paragraph);
}

.footer__left-section {
  flex-wrap: wrap;
  margin-inline: auto;
}

.footer__links {
  padding: 0;
  margin: 0;
  min-width: 100%;
  list-style: none;
}

.footer__link-header {
  position: relative;
  width: fit-content;
  margin-inline: auto;

  font-size: var(--fs-header-3);
  font-weight: 700;
  line-height: 1.2;
}

.footer__link-header::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  width: 100%;
  height: 2px;

  background-color: white;
}

.footer__link-item {
  width: fit-content;
  margin: 0 auto;
  padding: 0 0 1rem;

  font-size: var(--fs-links);
  text-align: center;
}

.footer__link-item a {
  color: black;
}

.footer__link-item--phone {
  width: fit-content;
  margin: 0 auto;
  padding: 0.5rem 3rem 1rem;

  background-image: url("/src/phone-solid.svg");
  background-repeat: no-repeat;
  background-position: left center;
  background-size: 30px;
}

.disclosures {
  display: flex;
  flex-direction: column;
  gap: 2rem;
  flex-wrap: wrap;
  place-content: center;
  margin-top: 4rem;
  padding-top: 2rem;

  color: black;
  border-top: #333 solid 1px;
}

.footer__link-item--phone a {
  display: inline-block;
}

@media (min-width: 1024px) {
  .footer__container {
    display: grid;
    max-width: 90%;
    grid-template-columns: 30% 70%;
    margin-inline: auto;
  }

  .footer__left-section {
    width: 100%;

    justify-content: space-around;
    align-content: center;
  }

  .footer__links {
    min-width: auto;
  }

  .disclosures {
    flex-direction: row;
    padding-right: 2rem;
  }
}

.hero {
  position: relative;
  flex-direction: column;
  height: calc(100vh - 125px);
  max-height: calc(100vh - 125px);
  place-content: center;
  align-items: center;

  color: white;
}

.hero::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;

  background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)); /* url("/src/images/hero-2-m.jpg"); */
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  z-index: 0;
}

.hero__video {
  position: absolute;
  width: 100%;
  height: 100%;
  object-fit: cover;

  z-index: -1;
}

.hero__header {
  margin-bottom: 5rem;

  font-size: var(--fs-header-1);
  font-weight: 700;
  text-align: center;
  line-height: 1.2;
}

.hero__header::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 50%;
  width: 10rem;
  height: 5px;

  transform: translateX(-50%);
  background-color: white;
}

.hero__text {
  font-size: var(--fs-header-3);
  text-align: center;
}

.hero__header,
.hero__text {
  position: relative;

  z-index: 10;
}

.section__1 {
  gap: var(--section-gap, 1rem);
  flex-direction: column;

  padding: 2rem 0;
  margin-inline: auto;

  font-size: var(--fs-paragraph);
  text-transform: uppercase;
}

.section__1 span {
  color: darkred;
  font-weight: 900;
  font-style: italic;
}

.section__1 span::after {
  content: ", ";
  color: black;
}

.section__1 img {
  margin-inline: auto;
}

@media (min-width: 1024px) {
  .section__1 {
    flex-direction: row;
    align-items: center;
  }

  .section__1 > * {
    flex: 1;
  }
}

.section__2 {
  gap: var(--3-col-gap, 2rem);

  flex-direction: column;
  margin-inline: auto;
  padding: 2rem 0;
}

.section__2 div {
  flex-direction: column;
  padding: 2rem 1rem;

  border: 2px solid firebrick;
  box-shadow: 0px 0px 5px 3px black;
}

.section__2 p {
  padding-bottom: 2rem;
}

a.card__button {
  width: fit-content;
  padding: 0.5rem 1rem;
  margin-top: auto;
  margin-inline: auto;

  letter-spacing: 1px;

  color: whitesmoke;
  background-color: #333;
  border-radius: 20px;
  border: 0px;
  transition: 500ms ease;
}

.card__button:hover,
a.card__button:hover {
  background-color: firebrick;
  text-decoration: none;
  transform: scale(110%);
}

.card__button > a:hover {
  text-decoration: none;
}

@media (min-width: 1024px) {
  .section__2 {
    flex-direction: row;
  }

  .section__2 > * {
    flex: 1;
  }

  .section__2 div {
    flex-direction: column;
    padding: 1.5rem;

    border: 2px solid firebrick;
    box-shadow: 0px 0px 5px 3px black;
  }
}

.section__3 {
  padding: 2rem 0;
  margin-inline: auto;
}

.section__3 img {
  max-width: 300px;
  margin-inline: auto;
}

.section__3-grid {
  gap: 5rem clamp(5rem, 10vw, 10rem);
  display: grid;
  grid-template-columns: 1fr;
  padding: 2rem 0;
}

@media (min-width: 1024px) {
  .section__3-grid {
    grid-template-columns: 1fr 1fr;
    grid-template-rows: auto auto;
  }
}

.section__3-review {
  gap: var(--3-col-gap, 1rem);
  display: grid;
  grid-template-areas:
    "picture name name"
    "picture stars ."
    "review review review";
  grid-template-columns: 0.4fr 0.3fr 0.3fr;
  grid-template-rows: auto auto 1fr;
}

.section__3-profile {
  grid-area: picture;
  grid-row: span 2;

  object-fit: cover;
  width: 100%;
  max-height: 100%;

  border-radius: 100%;
}

.section__3-review h3 {
  grid-area: name;
  align-self: end;
}

.section__3-stars {
  grid-area: stars;
  object-fit: cover;
  width: 100%;
  max-height: 100%;
}

@media (max-width: 768px) {
  .section__3-review p {
    text-align: center;
  }
}

.section__3-review p {
  grid-area: review;

  max-height: fit-content;
}

.section__3 button {
  position: relative;
  left: 50%;
  transform: translateX(-50%);
}

.section__3 button:hover {
  background-color: firebrick;
  transform: scale(110%) translateX(-50%);
}

.overlay-layer {
  position: absolute;
  min-height: 100vh;
  min-width: 100vw;
  top: 0;
  left: 0;

  background-color: #333;
  opacity: 0.7;
  z-index: 9999;
}

.overlay-section {
  position: absolute;
  width: clamp(400px, 33%, 600px);
  margin-inline: auto;
  padding: 2rem 4rem;
  top: 50vh;
  left: 50%;
  transform: translateY(-50%) translateX(-50%);
  transition: opacity 0.5s ease;

  align-items: center;
  justify-content: space-between;

  background-color: white;
  opacity: 0;
  z-index: 10000;
}

.overlay-section[data-visible="true"] {
  animation: FadeIn 0.1s ease-in-out 0.1s 1 forwards;
}

.overlay-section button {
  display: flex;
  padding: 5.5px 8.5px;

  justify-content: center;

  border: none;
  border-radius: 5px;
  background-color: #333;
  color: white;
}

.cleaning__header {
  color: white;
}

.header--deco {
  position: relative;
}

.header--deco::after {
  content: " ";
  position: absolute;
  width: 100%;
  max-width: 250px;
  height: 2px;
  bottom: 0;
  left: 0;

  background-color: firebrick;
}

.cleaning__section {
  flex-direction: column;
  margin: 4rem auto;
  gap: 2rem;
  font-size: var(--fs-paragraph);
}

.cleaning__section--addons {
  display: flex;
  flex-direction: column;
}

.cleaning__section > * {
  position: relative;
  flex: 1 1 50%;
}

.cleaning__section h2,
.zero__section h2 {
  font-size: var(--fs-header-2);
}

.cleaning__section .left {
  display: flex;
  flex-direction: column;
  place-content: center;
  gap: 2rem;
}

.left.left--sm {
  gap: 1rem;
}

.place_center.right {
  place-self: center;
}

.cleaning__image {
  width: 100%;
  height: 100%;
}

.cleaning__stars {
  max-width: 250px;
}

.image__div,
.image__div--right {
  position: relative;
  height: fit-content;
}

.image__div::after {
  content: " ";
  position: absolute;
  width: 100%;
  height: 100%;
  top: -10px;
  left: -10px;

  z-index: -1;
  background-color: firebrick;
}

.image__div--right::after {
  content: " ";
  position: absolute;
  width: 100%;
  height: 100%;
  top: 10px;
  right: -10px;

  z-index: -1;
  background-color: firebrick;
}

.cleaning__list {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  padding: 0;
  margin: 0;
}

.cleaning__list li {
  flex-wrap: wrap;
  align-items: center;
  gap: 1rem;
}

.cleaning__list img {
  width: clamp(50px, 1vw, 75px);
}

.cleaning__cta {
  margin-top: 2rem;

  font-size: var(--fs-small-text);
}

@media (min-width: 1024px) {
  .cleaning__section {
    flex-direction: row;
  }

  .cleaning__section--addons {
    flex-wrap: wrap;
  }

  .addon {
    flex: 1 1 350px;
  }
}

.table__section {
  width: 100%;
  margin: 4rem auto;
}

.cleaning__table {
  width: 100%;
}

.cleaning__table thead th:nth-child(2),
.cleaning__table thead th:nth-child(3) {
  width: 25%;
}

.cleaning__table th {
  font-size: var(--fs-links);
}

.cleaning__table td {
  margin: 0 auto;

  text-align: center;
}

.cleaning__table td img {
  width: 40px;
  margin: 0 auto;
}

.cleaning__addon {
  width: 100%;
  object-fit: cover;
}

@media (max-width: 1023px) {
  .cleaning__addon {
    height: auto;
  }
}

.zero__hero {
  display: grid;
  place-content: center;
  position: relative;
  width: 100%;
  min-height: 600px;
}

.zero__hero:after {
  content: " ";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5));
}

.zero__hero-header {
  position: relative;
  min-width: 100%;
  margin-inline: auto;
  top: 50%;
  transform: translateY(-50%);
  z-index: 1;

  text-align: center;
  color: white;
}

.zero__hero-header::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 50%;
  width: 10rem;
  height: 5px;

  transform: translateX(-50%);
  background-color: white;
}

.zero__hero picture {
  position: absolute;
  top: 0;
  width: 100%;
  height: 100%;
  min-height: 600px;
  z-index: -1;
}

.zero__hero img {
  object-fit: cover;
  object-position: center;
  width: 100%;
  max-height: 100%;
  min-height: 600px;
}

.zero__section {
  flex-direction: column;
  gap: 2rem;
  margin: 2rem auto;

  font-size: var(--fs-paragraph);
}

.repair__hero {
  position: relative;
  display: flex;
  flex-direction: column;
  gap: 1rem;
  place-content: center;
  padding: 2rem 4rem 4rem;

  text-align: center;
  font-size: var(--fs-header-2);
  color: firebrick;

  background-image: url("/src/images/repair_hero.webp");
}

.repair__hero h1 {
  text-shadow: white 1px 1px 0px;
}

.repair__hero h2 {
  color: white;
  font-size: var(--fs-header-3);
}

.repair__img {
  position: absolute;
  max-width: 250px;
  top: 90%;
  left: 50%;

  aspect-ratio: 1 / 1;
  transform: translateX(-50%);
}

.repair__section {
  margin: 15rem auto 2rem;
}

.repair__section--2 {
  display: flex;
  flex-direction: column;
  gap: 2rem;
  margin: 2rem auto;
  text-align: center;
}

.stars {
  max-width: 400px;
  margin: auto;
}

.estimate {
  min-width: 100%;
  min-height: 600px;
  padding: 1rem;

  color: firebrick;
  text-shadow: #333 1px 1px 0px;
  letter-spacing: 1px;
  border: #333 solid 1px;
  box-shadow: firebrick 0px 0px 3px;
}

.repair__options {
  display: flex;
  flex-direction: column;
  gap: 2rem;
}

.repair--left {
  text-align: left;
}

.repair__option--img {
  height: auto;
  aspect-ratio: 16 / 9;
  object-fit: cover;
  box-shadow: #333 1px 1px 3px;
}

.repair__list {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  padding: 0;
  margin: 0;
}

.repair__list li {
  display: grid;
  grid-template-columns: 1fr 9fr;
  grid-template-areas: "grill text";
}

.repair__list img {
  grid-area: grill;
  width: 100%;
  margin: auto;

  aspect-ratio: 1 / 1;
}

.repair__list p {
  grid-area: text;
}

@media (min-width: 1024px) {
  .repair__options {
    flex-direction: row;
    flex-wrap: wrap;
  }

  .repair__options > * {
    flex: 1 1 calc(25% - 2rem);
  }
}

@keyframes FadeIn {
  0% {
    display: none;
    opacity: 0;
  }

  1% {
    display: block;
    opacity: 0;
  }

  100% {
    display: block;
    opacity: 1;
  }
}
